Bład 127 przy instalacji lub reinstalacji czegokolwiek

Witam mam kolejny problem; o tuż przy instalacji lub reinstalacji czegokolwiek (za pomocą menadżer pakietów synaptic lub za pomocą konsoli) wyskakuje mi błąd o nst. treści:

Nie moge usunąć ani reinstalować libooc-x11-dev gdyż mam ten sam błąd.

Co robić ?

// Poprawiłem Twój post - pamiętaj aby używać tagów code i quote, które zwiększają czytelność postów.

Kaka’

jaka dystrybucja linuxa ?? jeśli coś na debianie to spróbuj z parametrem -f

sudo apt-get -f remove nazwa paczki

Spróbuj usunąć libooc-x11-dev a potem dodać stąd :

Paczka libooc-x11-dev :slight_smile:

I wasn't able to remove this package using:

sudo apt-get remove oo2c libooc-x11-dev


I also tried sudo apt-get autoremove

Whatever I tried I kept getting:

xargs: /usr/lib/oo2c/ooconfig: No such file or directory


So finally I created the file and tried removing the packages again. This time it worked. Here's what I did:

sudo echo "#!/bin/bash" > /usr/lib/oo2c/ooconfig

sudo chmod u+x /usr/lib/oo2c/ooconfig

sudo apt-get remove oo2c libooc-x11-dev


(I made the file a bash script as I didn't know if it was going to be executed)

https://bugs.launchpad.net/ubuntu/+source/libooc-x11/+bug/93715

Jak?

Ubuntu 7(chyba 04)

Nie działa ten sam błąd

Przeczytaj to co Ci wkleiłem ( możesz też przeczytać cały wątek - link pod kodem) i rób według tego. :slight_smile:

No chyba że nie posługujesz się angielskim to zapraszam tu : http://www.translate.pl

Po tym ma dwa błędy

E: oo2c: podproces post-installation script zwrócił kod błędu 127

E: libooc-x11-dev: problemy z zależnościami - pozostawiony nieskonfigurowany.

I można coś po polsku :oops: bo z angielskim to u mnie cieniutko :x

A kiedy pojawił Ci się ten błąd ? Coś instalowałeś przedtem , grzebałeś w systemie ? Samo nie mogło się zepsuć :stuck_out_tongue: , najprostszym sposób to reinstalka całego systemu. :?

ze 2 dni temu nic nie grzebałem instalowałem tylko superkaramba(z archiwum tar.gz) to jeszcze poszło a jak chciałem zainstalować sodipodi-0.33 to już był ten błąd :cry:

a jakieś inne wyjście no niewiem …

Wyjście na pewno jest ale moim zdaniem nie ma co się bawić , zrób partycje ważne pliki przenieś na nią i reinstalka. Używasz KDE czy GNOME ? Może zainstalowałeś superkarambe do GNOME ?

Chyba GNOME ale nie jestem pewien bo jestm początkujący

Jak to sprawdzić czego używam? :oops:

Jak masz dwa paski, u góry i na dole, to GNOME, jak tylko jeden na dole, to KDE. A Superkaramba działa tylko na KDE.

No właśnie mogłeś zainstalować jakieś pakiety do KDE i przy okazji uszkodzić GNOME.

Jak sprawdzić czy masz GNOME ?

Z menu głównego (na górze)

System

   |

   Administracja >

                                |

                       Monitor systemu

Gnome.

A jak przełączyć się czy coś w tym guście ::lol:: na KDE